Description

Proposal descriptions

2023 IOP issue https://redmine.ucaiug.org/issues/6845 identifies some implementations that specfiy dchg and dupd on the same
DA.

This is currently non conformant.

As this was seen a few times, perhaps UF could determine whether there is a valid usecase.

History

#1 - 10/18/2024 08:55 AM - Joel Greene

- Subject changed from Is there a use case for applying more than one trgOpt on a particular DA to Is there a use case for applying more than one
trgOpt on a particular DA?

- Proposal descriptions updated

#2 - 10/22/2024 04:34 AM - Carlos Rodriguez del Castillo

- Discuss in Upcoming Meeting changed from No to Yes

#3 - 10/22/2024 09:09 AM - Carlos Rodriguez del Castillo
- Due date set to 12/18/2024
- Status changed from New to Resolved

- Discuss in Upcoming Meeting changed from Yes to No

We could not find a use case where having both trigger conditions set for a given data attribute (DA) would make sense.

The best example we have is the CTS.ObjRef where basically object reference can be updated if the same object reference is controlled twice, or you
can select a different object reference. In both cases you receive the information due to "dupd" trigger condition.

Anyway, there are two issues related to this point:

- Server issue: It is not conformant to have both "dchg"/"dupd" on the same DA definition, as stated in 7-2 Ed2 table 21 / 7-2 Ed2.1 Table 5. OCL rule

can detect this.

- Client issue: The client should be aware of the trigger condition of the DA definiton for those DA that could state "dchg" or "dupd" (one or the other).

Clients only setting TrgOp "dchg" will not receive all the expected information.
